# Uses of Class com.destroystokyo.paper.event.server.GS4QueryEvent.QueryResponse (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: com.destroystokyo.paper.event.server, class: GS4QueryEvent, class: QueryResponse

# Uses of Class
com.destroystokyo.paper.event.server.GS4QueryEvent.QueryResponse

Packages that use GS4QueryEvent.QueryResponse
Package
Description
com.destroystokyo.paper.event.server

## Uses of GS4QueryEvent.QueryResponse in com.destroystokyo.paper.event.server

Methods in com.destroystokyo.paper.event.server that return GS4QueryEvent.QueryResponse
Modifier and Type
Method
Description
`@NotNull GS4QueryEvent.QueryResponse`
GS4QueryEvent.QueryResponse.Builder.`build()`
Builds new `GS4QueryEvent.QueryResponse` with supplied data
`@NotNull GS4QueryEvent.QueryResponse`
GS4QueryEvent.`getResponse()`
Get query response
Methods in com.destroystokyo.paper.event.server with parameters of type GS4QueryEvent.QueryResponse
Modifier and Type
Method
Description
`void`
GS4QueryEvent.`setResponse(@NotNull GS4QueryEvent.QueryResponse response)`
Set query response
Constructors in com.destroystokyo.paper.event.server with parameters of type GS4QueryEvent.QueryResponse
Modifier
Constructor
Description
``
`GS4QueryEvent(@NotNull GS4QueryEvent.QueryType queryType, @NotNull InetAddress querierAddress, @NotNull GS4QueryEvent.QueryResponse response)`